package service

import (
	"context"

	v1 "cris/api/login/v1"
)

type ILogin interface {
	Login(ctx context.Context, req *v1.LoginReq) (res *v1.LoginRes, err error)
}

var login ILogin

func Login() ILogin {
	if login == nil {
		panic("login 接口未实现或注册")
	}
	return login
}

func RegisterLogin(l ILogin) {
	login = l
}
